/******************************************************************************
 * String/main.hpp = Kopf der Hauptdatei und deren Beschreibungen.
 * ========================================================================== *
 * Copyright by Hilfe & Service von EDV-Fachleuten      INet www.husvedvf.de  *
 *              Inhaber Harald Schrfer                 Tel. (0345) 521 13 40 *
 *              Reilstr. 22, (Eingang Mozartstr.)       Funk (0177) 521 13 40 *
 *                                                      EM   hsc@husvedvf.de  *
 *              D-06114 Halle (Saale)                   Fax  (0345) 521 13 41 *
 * -------------------------------------------------------------------------- *
 * Edit v1.011 from 2020-10-28 to 2023-11-21 by HSc                           *
 ******************************************************************************/


/******* Definition from constant *********************************************/
#ifndef MAIN_HPP
 #define MAIN_HPP

 /****** Include files ********************************************************/
 // #include <cstring>   // strlen, strncpy, ...
 #include <conio.h>   // getch(), ...
 #include <iostream>   // cerr, cout
 // #include <string>   // strndup, to_string
 // #include <stdio.h>   // getch().
 #include <iomanip>   // fixed, setfill, setprecision(2), setw

 using namespace std;


 /******* Declaration form variable ********************************************/

 #endif // MAIN_HPP


/******* Forward declaration of function **************************************/


/******************************************************************************
 * String/main = Kopf der Hauptdatei und deren Beschreibungen.
 * -------------------------------------------------------------------------- *
 * Edit v1.041 from 2020-10-28 to 2023-11-21 by HSc                           *
 ******************************************************************************/
int main(
 int iArg,   // Anzahl der uebergebenen Argumente, wobei Nr. 0 der Programm-Name mit Pfad und Laufwerk ist.
 char* pcaArg[],   // Feld mit Zeigern auf die uebergebenen Argumenten.
 char* pcEnv[]   // Feld mit Zeigern auf die Umgebungsvariablen und ihren Werten.
 );   // giFehler mit der Nummer des (Integer) oder des (8 Bits) Fehlers.


/******************************************************************************
 * opch = OutPut Chapter Headings,
 * zu Deutsch: Kapitelueberschriften ausgeben.
 * Dazu wird nach einer Leerzeile die Kapitelnummer, mit nachfolgendem Punkt,
 * und  nach einem Leerzeichen die Kapitelueberschrift ausgegeben.
 * Darunter folgt dann eine Unterreichung mit gewhlten Zeichen,
 * so dass danach das Kapitel beginnen kann.
 * Syntax:
 * = opch(12, "Information durch zuweisen, anfuegen und Groeszenbestimmung",
 *        '-');
 * = 73-14
 * -------------------------------------------------------------------------- *
 * Edit v1.010 from 2023-12-01 to 2023-12-15 by HSc                           *
 ******************************************************************************/
int opch(
 int iNr,   // Kapitelnummer
 string strText,   // String mit der Kapitelueberschrift.
 char cTrenner   // Zeichen fuer die Unterstreichung, das verwendet werden soll.
 );   // Breite der gesamten UEberschrift!


/******************************************************************************
 * strtsdp = STRing TauSenDer Point,
 * zu Deutsch: Im String das Dezimalzeichen und das tausender Trennzeichen
 * nach deutscher Vorgabe setzen.
 * Dazu wird das aktuelle einzelne Dezimalzeichen PUNKT
 * (Ganzzahl Dezimalzeichen Gebrochenen Zahl) gesucht und
 * durch das gewaehlte Dezimaleichen KOMMA ersetzt.
 * Aller 3 Stellen nach und vor dem Dezimalzeichen wird
 * das deutsche Trennzeichen PUNKT als tausender Trennzeichen verwendet.
 * Syntax:
 * 1 = strtp("123456.7889", ',');
 * -------------------------------------------------------------------------- *
 * Edit v0.040 from 2023-11-28 to 2023-12-06 by HSc                           *
 ******************************************************************************/
int strtsdp(
 string *pstrZahl,   // Zeiger auf den reinen Zahlen-String.
 char cTrenner   // Trennzeichen, das verwendet werden soll.
 );   // Anzahl der Modifikationen.
/******* EOF ******************************************************************/
